---
search:
  tags:
    - Topics
    - GET
seo:
  description: >-
    Get a topic by ID. Reference for the GET /topics/{topicId} endpoint in the
    Modem API.
sidebar:
  label: Get topic
  badge: GET
title: Get topic
type: openapi-operation
---
Get a topic by ID

`GET /topics/{topicId}`

**Responses**

- `200` — OK
- `400` — Invalid request (validation failed).
- `401` — Missing or invalid API key.
- `403` — The API key does not have access to this resource.
- `404` — The requested resource was not found.
- `429` — Rate limit exceeded.
- `500` — Internal server error.

Response example, 200:

```json
{
  "archivedAt": "2019-08-24T14:15:22Z",
  "archivedByUserId": "string",
  "archivedReason": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "eventCount": 0,
  "graphStatus": "active",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "issueType": "bug_report",
  "keywords": [
    "string"
  ],
  "lifecycleState": "completed",
  "lifecycleStateConfidence": 0,
  "priority": "default",
  "priorityReasoning": "string",
  "successorTopic": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "title": "string"
  },
  "summary": "string",
  "supersededAt": "2019-08-24T14:15:22Z",
  "timeRangeEnd": null,
  "timeRangeStart": null,
  "title": "string",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```
